Subject: Re: bash: ./configure: bad interpreter: No such file or directory
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 26 Sep 2001 11:40:43 +0200

> [email-masked] schrieb am 2001-09-26 9:22:

> I get the following error whenever I try to run configure, config.sub
>or any such install proceedures.
>
> $ ./configure
> bash: ./configure: bad interpreter: No such file or directory

configure scripts search for /bin/sh
Probably you have not installed ash.

> I have insight-5_0.tar.gz un-tarred within Cygwin(B20.1) using "tar
>zxvf
> insight-5_0_tar.gz" to insight-5.0 and am now ready to install.
>
> (using GNU bash, version 2.05.0(6)-release (i686-pc-cygwin))
>
> I've got cygwin to compile my code for the Hitachi SH4 processor target
>and these work
> as I've downloaded via simple bootloader but I'd like to be able to use
>Insight and GDB for debugging. 
>
> Can you help? I'm sure it's a Cygwin setup thing. I just ran setup.exe
>and let it do all the work so I'm confused why it's not working.
>

If you have done a setup over an old (B20) install, that is bad.
You will need to adjust environment (PATH, HOME ....)
Best is to remove an old cygwin tree and setup a new one from scratch.

Look at the output of
$ cygcheck -srv
 to examine your setup.  You may also post it so we can see and tell
you what may be wrong.

Gerrit

-- 
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/